## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class RaiseExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.RaiseExpImpl

All Implemented Interfaces:
  ImperativeExpression, RaiseExp

    public class RaiseExpImpl

extends ImperativeExpressionImpl
implements RaiseExp

An implementation of the model object 'Raise Exp'.

The following features are implemented:

- `Argument`
- `Exception`

Field Summary
`protected OCLExpression` `argument` The cached value of the '`Argument`' containment reference
`protected EClassifier` `exception` The cached value of the '`Exception`' reference

Constructor Summary
`protected` `RaiseExpImpl()`

Method Summary

`

`<T,U extends <any>> T`

`

`accept(U v)`

`EClassifier` `basicGetException()`
`NotificationChain` `basicSetArgument(OCLExpression newArgument, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`OCLExpression` `getArgument()`
`EClassifier` `getException()`
`void` `setArgument(OCLExpression newArgument)`
`void` `setException(EClassifier newException)`

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### argument

    protected OCLExpression argument

  The cached value of the '`Argument`' containment reference.

  See Also:
    `getArgument()`

### exception

    protected EClassifier exception

  The cached value of the '`Exception`' reference.

  See Also:
    `getException()`

Constructor Detail

### RaiseExpImpl

    protected RaiseExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getArgument

    public OCLExpression getArgument()

  Specified by:
    `getArgument` in interface `RaiseExp`
  Returns:
    the value of the 'Argument' containment reference.
  See Also:
    `RaiseExp.setArgument(OCLExpression)`, `ImperativeOCLPackage.getRaiseExp_Argument()`

### basicSetArgument

    public NotificationChain basicSetArgument(OCLExpression newArgument,
                                              NotificationChain msgs)

### setArgument

    public void setArgument(OCLExpression newArgument)

  Specified by:
    `setArgument` in interface `RaiseExp`
  Parameters:
    `newArgument` - the new value of the 'Argument' containment reference.
  See Also:
    `RaiseExp.getArgument()`

### getException

    public EClassifier getException()

  Specified by:
    `getException` in interface `RaiseExp`
  Returns:
    the value of the 'Exception' reference.
  See Also:
    `RaiseExp.setException(EClassifier)`, `ImperativeOCLPackage.getRaiseExp_Exception()`

### basicGetException

    public EClassifier basicGetException()

### setException

    public void setException(EClassifier newException)

  Specified by:
    `setException` in interface `RaiseExp`
  Parameters:
    `newException` - the new value of the 'Exception' reference.
  See Also:
    `RaiseExp.getException()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### accept

    public <T,U extends <any>> T accept(U v)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.